// subPackage/page/pages/grassCommunity/grassCommunity.js
const app = getApp()
const wxService = require('../../../../utils/wxService')
const utils = require('../../../../utils/util')
const { memberId } = wx.getStorageSync('_baseUserInfo')


wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    pics:[],
    showSelectRelatedGoods: false,
    proGoods:[],
    params:{
      article: "",
      headline: "",
      sspList: [],
      stcList: [],
      userId: memberId
    },
    pageNo:1,
    pageSize:100
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options)
    if(options && options.id){
      this.setData({
        'params.id': options.id
      })
    }
  },

  /**
  * 生命周期函数--监听页面显示
  */
  onShow: function () {
    if (this.data.params.id) {
      this.getInitInfo()
    }
  },

  // 获取编辑详情
  getInitInfo(){
    let params = {
      id: this.data.params.id,
      userId: memberId
    }
    wxService.post(`/merchant/contentMobileTerminal/terminalContentDetails`, params).then(res => {
      const { result, data } = res.data
      if (result == 0) {
        this.setData({
          params:{
            article: data.article,
            headline: data.headline,
            sspList: data.sspList,
            userId: memberId,
            id:data.id
          }
        })
        for (var i in data.sspList){
          this.data.pics.push(app.globalData.imageUrl + data.sspList[i].url)
        }
        this.setData({
          pics: this.data.pics
        })
        this.getInitPro(data.productIds)
      }
    }).finally(() => {
    })
  },

  // 获取关联商品
  getInitPro(productIds){
    wxService.post(`/sale/product/buyer/listPage?pageNo=${this.data.pageNo}&pageSize=${this.data.pageSize}`,{
      productIds: productIds
    }).then(res => {
      const { result, data } = res.data
      if (result == 0 && data.content) {
        this.setData({
          proGoods: data.content
        })
        let stcList = []
        for (var i in this.data.proGoods) {
          stcList.push({
            commodityId: this.data.proGoods[i].productId
          })
          this.setData({
            'params.stcList': stcList
          })
        }
      }
    }).finally(() => {
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },
  // 关联商品
  handleRelatedGoods(){
    console.log('关联商品')
    this.setData({
      showSelectRelatedGoods: true
    })
  },
  uploadImg(){
    this.chooseImg()
  },
  chooseImg(){
    let that = this;
    let pics = this.data.pics;
    wx.chooseImage({
      count: 5 - pics.length, // 最多可以选择的图片5张，
      sizeType: ['original', 'compressed'], // original 原图，compressed 压缩图，默认二者都有
      sourceType: ['album', 'camera'], // album 从相册选图，camera 使用相机，默认二者都有
      success: function (res) {
        var imgsrc = res.tempFilePaths;
        pics = pics.concat(imgsrc);
        that.setData({
          pics: pics
        });
        console.log(that.data.pics)
        that.moreImgUpload({
          url: 'http://buyer.devapi.bigaka.net/merchant/upload/pic',//这里是你图片上传的接口
          path: that.data.pics//这里是选取的图片的地址数组        
        });
      },
      fail: function () {
        // fail      
      },
      complete: function () {
        // complete      
      }
    })
  },
 
  // 关联商品
  _selectGoods(e){
    console.log('444',e)
    this.setData({
      proGoods: e.detail
    })
    let stcList = []
    for (var i in this.data.proGoods) {
      stcList.push({
        commodityId: this.data.proGoods[i].productId
      })
      this.setData({
      'params.stcList': stcList
      })
    }
    
  },


  //多张图片上传
  moreImgUpload(data) {
    var that = this,
      i = data.i ? data.i : 0,//当前上传的哪张图片
      success = data.success ? data.success : 0,//上传成功的个数
      fail = data.fail ? data.fail : 0;//上传失败的个数
      wx.uploadFile({
        url: data.url,
        filePath: data.path[i],
        header : {
          'buyer-token' : wx.getStorageSync('token')
        },
        name: 'imgs',//这里根据自己的实际情况改
        formData: null,//这里是上传图片时一起上传的数据
        success: (resp) => {
          success++;//图片上传成功，图片上传成功的变量+1
        },
        fail: (res) => {
          fail++;//图片上传失败，图片上传失败的变量+1
        },
        complete: (res) => {
          i++;
          var imgdata = JSON.parse(res.data);
          var img = imgdata.data[0];
          var sspList = []
          sspList.push({
            cover:0,
            url:img.url
          });
          if (i == data.path.length) { //当图片传完时，停止调用   
            that.setData({
              'params.sspList': sspList
            })
            console.log('=====', that.data.params.sspList)
          }else {//若图片还没有传完，则继续调用函数                
            console.log(i);
            data.i = i;
            data.success = success;
            data.fail = fail;
            that.moreImgUpload(data);
          }
        }
      })
  },

  // 发布笔记
  formSubmit(e){
    wxService.post(`/merchant/contentMobileTerminal/contentSave`, this.data.params).then(res => {
      const { result, data } = res.data
      if (result == 0) {
        wxService.router('/subPackage/page/pages/myRelease/myRelease')
      }
    }).finally(() => {
    })
  }

})